//==============================================================================================
//
//	Windows Interface Construction Set
//	Version 1.00
//
//	PCTBAR.CPP - Percent Bar Class Source File
//	Copyright  1993 by Microdyne Development Technologies.
//	All rights reserved.
//==============================================================================================

#include <owl.h>
#include <pctbar.h>

TPercentBar::TPercentBar (PTWindowsObject AParent, int ResourceId, PTModule AModule)
	: TControl (AParent, ResourceId, AModule)
{
}

TPercentBar::~TPercentBar ()
{
}

void TPercentBar::SetLimit (long limit)
{
	SendMessage (HWindow, PBM_SETLIMIT, 0, (LPARAM) limit);
}

void TPercentBar::SetBytesProcessed (long b)
{
	SendMessage (HWindow, PBM_SETBYTESPROCESSED, 0, (LPARAM) b);
}

